---
title: XRReferenceSpaceEventInit.transform
slug: Web/API/XRReferenceSpaceEventInit/transform
tags:
  - API
  - AR
  - Mixed
  - Property
  - Reality
  - Reference
  - VR
  - Virtual
  - WebXR
  - WebXR API
  - WebXR Device API
  - XR
  - XRReferenceSpaceEventInit
  - augmented
  - transform
---
<p>{{APIRef("WebXR Device API")}}{{SecureContext_header}}</p>

<p><span class="seoSummary">The {{domxref("XRReferenceSpaceEventInit")}} property <code><strong>transform</strong></code> indicates the position and orientation of the affected reference space's native origin after the changes the event represents are applied.</span> The <code>transform</code> is defined using the old coordinate system, which allows it to be used to convert coordinates from the pre-event coordinate system to the post-event coordiante system.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">let <em>eventInitDict</em> = {
  referenceSpace: <em>xrReferenceSpace</em>,
  transform: <em>xrRigidTransform</em>
});</pre>

<h3 id="Value">Value</h3>

<p>An {{domxref("XRRigidTransform")}} object providing a transform that can be used to convert coordinates from the pre-event coordinate system to the post-event coordinate system.</p>

<h2 id="Examples">Examples</h2>

<p>{{page("/en-US/docs/Web/API/XRReferenceSpaceEventInit", "Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebXR','#dom-xrreferencespaceeventinit-transform','XRReferenceSpaceEventInit.transform')}}</td>
   <td>{{Spec2('WebXR')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("api.XRReferenceSpaceEventInit.transform")}}</p>
